> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecobalt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings

> Returns the current settings for the associated access token.

### Example Request

```bash theme={null}
curl -X GET https://api.usecobalt.com/v1/settings \
-H 'Content-Type: application/json' \
-H 'client_id: ci_live_198908HJDKJSH98789OHKJL' \
-H 'client_secret: cs_live_9827hofdsklOYYHJLJh' \
-H 'access_token: 493JKLHIU98789hLKH9HHJH'
```

### Example Response

```json theme={null}
{
    "success": true,
    "data": {
        "access_token_reference_id": "at_ref_123456789",
        "visit_types": [
            {
                "code": "new_patient",
                "description": "New Patient Visit (in-person)"
            },
            {
                "code": "televisit1",
                "description": "televisit1 (televisit / osa)"
            }
        ],
        "visit_statuses": [
            {
                "code": "CANC",
                "description": "Cancelled in advance"
            },
            {
                "code": "R/S",
                "description": "Rescheduled"
            }
        ],
        "required_patient_fields": [
            "first_name", 
            "last_name", 
            "dob", 
            "sex"
        ],
        "timezone": "America/New_York",
        "staff_list": [
            {
                "ehr_id": "12220",
                "name": "Smith,Jane"
            },
            {
                "ehr_id": "12241",
                "name": "Doe,John"
            }
        ],
        "departments": [
            {
                "ehr_id": "1",
                "name": "MEDICAL",
                "type": "MED",
                "location_ehr_id": "12"
            },
            {
                "ehr_id": "2",
                "name": "BEHAVIORAL HEALTH",
                "type": "MED",
                "location_ehr_id": "12"
            },
            {
                "ehr_id": "5",
                "name": "RADIOLOGY",
                "type": "MED",
                "location_ehr_id": "17"
            }
        ]
    }
}
```

<Note>
  Settings include the access token reference ID, available visit types (with codes and descriptions), and the user's timezone. If settings are not found for the user, a 404 error will be returned.
</Note>


## OpenAPI

````yaml GET /settings
openapi: 3.0.0
info:
  title: Cobalt API
  version: 1.0.1
  description: API for interacting with Cobalt's EHR integration services
servers:
  - url: https://api.usecobalt.com/v1
security:
  - ClientCredentials: []
    ClientSecret: []
    AccessToken: []
paths:
  /settings:
    get:
      summary: Get Settings
      description: Returns the current settings for the authenticated user.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      access_token_reference_id:
                        type: string
                      visit_types:
                        type: array
                        items:
                          type: string
                      timezone:
                        type: string
                      staff_list:
                        type: array
                        description: >-
                          Staff members synced from the EHR (providers, nurses,
                          front desk, etc.). Currently synced for eClinicalWorks
                          and ModMed Gastro.
                        items:
                          type: object
                          properties:
                            ehr_id:
                              type: string
                            name:
                              type: string
                      departments:
                        type: array
                        description: >-
                          eClinicalWorks only. Departments synced from the EHR.
                          Use a department's `ehr_id` as the `department_id`
                          when creating an appointment at the matching
                          `location_ehr_id`.
                        items:
                          type: object
                          properties:
                            ehr_id:
                              type: string
                            name:
                              type: string
                            type:
                              type: string
                            location_ehr_id:
                              type: string
        '404':
          description: Settings not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Settings not found for this user
components:
  securitySchemes:
    ClientCredentials:
      type: apiKey
      in: header
      name: client_id
    ClientSecret:
      type: apiKey
      in: header
      name: client_secret
    AccessToken:
      type: apiKey
      in: header
      name: access_token

````